<?xml version="1.0"?>
<?altova_samplexml file:///C:/XML/FertXML/Fert_OrderResponse.xml?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head/>
			<body>
				<xsl:apply-templates select="OrderResponse">
				</xsl:apply-templates>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="OrderResponse">
		<b>The following order(s) have been received and acknowledged by the supplier:</b>
		<table border="1">
			<tr>
				<th bgcolor="#728FCE">Date Received</th>
				<th bgcolor="#728FCE">Date Acknowledged</th>
				<th bgcolor="#728FCE">Order</th>
				<th bgcolor="#728FCE">Release</th>
				<th bgcolor="#728FCE">Ship From</th>
				<th bgcolor="#728FCE">Ship To</th>
				<th bgcolor="#728FCE">Line</th>
				<th bgcolor="#728FCE">Product Name</th>
				<th bgcolor="#728FCE">Quantity</th>
				<th bgcolor="#728FCE">UOM</th>
				<th bgcolor="#728FCE">Status</th>
				<th bgcolor="#728FCE">Reason</th>
			</tr>
			<xsl:for-each select="./OrderResponseBody">
				<xsl:sort select="./OrderResponseProperties/PurchaseOrderNumber/DocumentIdentifier"/>
				<tr>
				
				<!--Date Received-->
					<xsl:choose>
						<xsl:when test="string-length(preceding-sibling::*/RequestingDocumentDateTime/DateTime/text()) > 0">
							<td>
								<xsl:value-of select="concat(substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,6,2),'/',substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,9,2),'/',substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,1,4),' ',substring(substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,12,2),1,not(substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,12,2)>12)*2),substring(number(substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,12,2))-12,1,(substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,12,2)>12)*2),':',substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,15,2),':',substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,18,2),' ',substring('AM',1,not(substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,12,2)>=12)*2),substring('PM',1,(substring(preceding-sibling::*/RequestingDocumentDateTime/DateTime,12,2)>=12)*2))"/>
							</td>
						</xsl:when>
						<xsl:otherwise>
							<td>N/A</td>
						</xsl:otherwise>
					</xsl:choose>
					
					<!--Date Acknowledged-->
					<td>
						<xsl:value-of select="concat(substring(following-sibling::*/ThisDocumentDateTime/DateTime,6,2),'/',substring(following-sibling::*/ThisDocumentDateTime/DateTime,9,2),'/',substring(following-sibling::*/ThisDocumentDateTime/DateTime,1,4),' ',substring(substring(following-sibling::*/ThisDocumentDateTime/DateTime,12,2),1,not(substring(following-sibling::*/ThisDocumentDateTime/DateTime,12,2)>12)*2),substring(number(substring(following-sibling::*/ThisDocumentDateTime/DateTime,12,2))-12,1,(substring(following-sibling::*/ThisDocumentDateTime/DateTime,12,2)>12)*2),':',substring(following-sibling::*/ThisDocumentDateTime/DateTime,15,2),':',substring(following-sibling::*/ThisDocumentDateTime/DateTime,18,2),' ',substring('AM',1,not(substring(following-sibling::*/ThisDocumentDateTime/DateTime,12,2)>=12)*2),substring('PM',1,(substring(following-sibling::*/ThisDocumentDateTime/DateTime,12,2)>=12)*2))"/>
					</td>
					
					<!--Purchase Order Number-->
					<td>
						<xsl:value-of select="./OrderResponseProperties/PurchaseOrderNumber/DocumentIdentifier"/>
					</td>
					
					<!--Release Number-->
					<xsl:choose>
						<xsl:when test="string-length(./OrderResponseProperties/ReferenceInformation/ReleaseNumber/text()) > 0">
							<td>
								<xsl:value-of select="./OrderResponseProperties/ReferenceInformation/ReleaseNumber"/>
							</td>
						</xsl:when>
						<xsl:when test="string-length(./OrderResponseProperties/ReferenceInformation[@ReferenceType='ReleaseNumber']/DocumentReference/ReleaseNumber/text()) > 0">
							<td>
								<xsl:value-of select="./OrderResponseProperties/ReferenceInformation[@ReferenceType='ReleaseNumber']/DocumentReference/ReleaseNumber"/>
							</td>
						</xsl:when>
						<xsl:otherwise>
							<td>N/A</td>
						</xsl:otherwise>
					</xsl:choose>
					
					<!--Ship From-->
					<xsl:choose>
						<xsl:when test="string-length(./OrderResponseProperties/OtherPartner[@PartnerRole='ShipFrom']/PartnerInformation/PartnerName/text()) >0">
						<td>
						<xsl:value-of select="./OrderResponseProperties/OtherPartner[@PartnerRole='ShipFrom']/PartnerInformation/PartnerName"/>
						</td>
						</xsl:when>
						<xsl:when test="string-length(./OrderResponsePartners/OtherPartner[@PartnerRole='ShipFrom']/PartnerInformation/PartnerName/text()) >0">
						<td>
						<xsl:value-of select="./OrderResponsePartners/OtherPartner[@PartnerRole='ShipFrom']/PartnerInformation/PartnerName"/>
						</td>
						</xsl:when>
					</xsl:choose>

					
					<!--Ship To-->
					<td>
						<xsl:value-of select="./OrderResponsePartners/ShipTo/PartnerInformation/PartnerName"/>
					</td>
					
					<!--Line Number-->
					<td>
						<xsl:value-of select="./OrderResponseDetails/OrderResponseProductLineItem/LineNumber"/>
					</td>
					
					<!--Product Name-->
					<td>
						<xsl:value-of select="./OrderResponseDetails/OrderResponseProductLineItem/ProductIdentification/ProductDescription"/>
					</td>
					
					<!--Quantity-->
					<td>
						<xsl:value-of select="./OrderResponseDetails/OrderResponseProductLineItem/ProductQuantity/Measurement/MeasurementValue"/>
					</td>
					
					<!--UOM-->
					<td>
						<xsl:value-of select="./OrderResponseDetails/OrderResponseProductLineItem/ProductQuantity/Measurement/UnitOfMeasureCode"/>
					</td>
					
					<!--Status-->
					<xsl:choose>
						<xsl:when test="string-length(./OrderResponseDetails/OrderResponseProductLineItem/LineStatus/text()) > 0">
							<td>
								<FONT COLOR="FF0000">
									<xsl:value-of select="./OrderResponseDetails/OrderResponseProductLineItem/LineStatus"/>
								</FONT>
							</td>
						</xsl:when>
						<xsl:otherwise>
							<td>Accepted</td>
						</xsl:otherwise>
					</xsl:choose>
					
					<!--Reason-->
					<xsl:choose>
						<xsl:when test="(./OrderResponseDetails/OrderResponseProductLineItem/ResponseStatus/ResponseStatusReasonIdentifier/text()) = '099'">
							<td>
								<FONT COLOR="FF0000">
									<xsl:value-of select="./OrderResponseDetails/OrderResponseProductLineItem/ResponseStatus/ResponseStatusComments"/>
								</FONT>
							</td>
						</xsl:when>
						<xsl:when test="(./OrderResponseDetails/OrderResponseProductLineItem/ResponseStatus/ResponseStatusReasonIdentifier/text()) != '099'">
							<td>
								<FONT COLOR="FF0000">
									<xsl:value-of select="./OrderResponseDetails/OrderResponseProductLineItem/ResponseStatus/ResponseStatusReasonDescription"/>
								</FONT>
							</td>
						</xsl:when>
						<xsl:otherwise>
							<td>N/A</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet>
